#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -samples_per_pass=1000000 -samples_per_evaluation=10000000 -total_samples=250000000 -preprocessor_pvs_rendererror_samples=100000 -preprocessor_evaluatePixelError+ -preprocessor_detect_empty_viewspace+ -kd_pvs_area=1e-4 -view_cells_use_kd_pvs+ -af_use_kd_pvs+ -view_cells_import_random_viewcells+ -view_cells_export_random_viewcells-" 

echo "starting $TARGET version"

SCENE=../data/vienna/vienna_cropped.obj
#SCENE=../data/vienna/city_full.obj

VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz 

LOG_PREFIX=../src/SG08/rebut
ENVIRONMENT=gvs.env


METHOD=gvs
echo "$SCENE $METHOD"


$COMMAND $ENVIRONMENT \
-scene_filename=$SCENE \
-preprocessor=gvs \
-gvs_epsilon=0.0001 \
-gvs_total_samples=100000 \
-gvs_samples_per_pass=100000 \
-gvs_initial_samples=16 \
-gvs_max_viewcells=1 \
-gvs_min_contribution=50 \
-gvs_per_viewcell=true \
-gvs_stats=$LOG_PREFIX-gvsStats.log \
-view_cells_filename=$VIEWCELLS \
-view_cells_load_from_file=true \
-view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-preprocessor_visibility_file=$LOG_PREFIX-i-gvs-b1-n4l.xml \
-preprocessor_stats=$LOG_PREFIX-i-gvs-b1-n4l.log \
-preprocessor_histogram_file=$LOG_PREFIX-i-gvs-b1-n4f.hlog 


sh movefiles.sh $LOG_PREFIX-$METHOD